
import numpy as np
import pandas as pd
from eli5.sklearn import PermutationImportance

def random_feature_importance(X, y):
    # Generate a random dataset
    rng = np.random.RandomState(42)
    X = pd.DataFrame(rng.rand(100, 20), columns=[f'feature_{i}' for i in range(20)])
    y = rng.randint(0, 2, 100)
    
    # Train a random classifier
    from sklearn.ensemble import RandomForestClassifier
    clf = RandomForestClassifier(n_estimators=10, random_state=42)
    clf.fit(X, y)
    
    # Use PermutationImportance to compute feature importances
    perm = PermutationImportance(clf, random_state=42).fit(X, y)
    
    # Return the mean importance of each feature
    importances = perm.feature_importances_.mean(axis=0)
    return importances



